Installing Bitcoin Core on Ubuntu - Bitzuma

Running BitcoinQT, want to run lightning node also - help needed

So running BitcoinQT is fairly straight forward, download it, install it, sync the blockchain. I'm running Ubuntu on a fairly low spec mini PC, I would love to add a lightning network node to this too but cannot find a guide that is simple enough to install it and get it running.
How far off are we to having a nice slick piece of software like BitcoinQT but for lightning?
submitted by hungdoge to Bitcoin [link] [comments]

Groestlcoin 6th Anniversary Release

Introduction

Dear Groestlers, it goes without saying that 2020 has been a difficult time for millions of people worldwide. The groestlcoin team would like to take this opportunity to wish everyone our best to everyone coping with the direct and indirect effects of COVID-19. Let it bring out the best in us all and show that collectively, we can conquer anything.
The centralised banks and our national governments are facing unprecedented times with interest rates worldwide dropping to record lows in places. Rest assured that this can only strengthen the fundamentals of all decentralised cryptocurrencies and the vision that was seeded with Satoshi's Bitcoin whitepaper over 10 years ago. Despite everything that has been thrown at us this year, the show must go on and the team will still progress and advance to continue the momentum that we have developed over the past 6 years.
In addition to this, we'd like to remind you all that this is Groestlcoin's 6th Birthday release! In terms of price there have been some crazy highs and lows over the years (with highs of around $2.60 and lows of $0.000077!), but in terms of value– Groestlcoin just keeps getting more valuable! In these uncertain times, one thing remains clear – Groestlcoin will keep going and keep innovating regardless. On with what has been worked on and completed over the past few months.

UPDATED - Groestlcoin Core 2.18.2

This is a major release of Groestlcoin Core with many protocol level improvements and code optimizations, featuring the technical equivalent of Bitcoin v0.18.2 but with Groestlcoin-specific patches. On a general level, most of what is new is a new 'Groestlcoin-wallet' tool which is now distributed alongside Groestlcoin Core's other executables.
NOTE: The 'Account' API has been removed from this version which was typically used in some tip bots. Please ensure you check the release notes from 2.17.2 for details on replacing this functionality.

How to Upgrade?

Windows
If you are running an older version, shut it down. Wait until it has completely shut down (which might take a few minutes for older versions), then run the installer.
OSX
If you are running an older version, shut it down. Wait until it has completely shut down (which might take a few minutes for older versions), run the dmg and drag Groestlcoin Core to Applications.
Ubuntu
http://groestlcoin.org/forum/index.php?topic=441.0

Other Linux

http://groestlcoin.org/forum/index.php?topic=97.0

Download

Download the Windows Installer (64 bit) here
Download the Windows Installer (32 bit) here
Download the Windows binaries (64 bit) here
Download the Windows binaries (32 bit) here
Download the OSX Installer here
Download the OSX binaries here
Download the Linux binaries (64 bit) here
Download the Linux binaries (32 bit) here
Download the ARM Linux binaries (64 bit) here
Download the ARM Linux binaries (32 bit) here

Source

ALL NEW - Groestlcoin Moonshine iOS/Android Wallet

Built with React Native, Moonshine utilizes Electrum-GRS's JSON-RPC methods to interact with the Groestlcoin network.
GRS Moonshine's intended use is as a hot wallet. Meaning, your keys are only as safe as the device you install this wallet on. As with any hot wallet, please ensure that you keep only a small, responsible amount of Groestlcoin on it at any given time.

Features

Download

iOS
Android

Source

ALL NEW! – HODL GRS Android Wallet

HODL GRS connects directly to the Groestlcoin network using SPV mode and doesn't rely on servers that can be hacked or disabled.
HODL GRS utilizes AES hardware encryption, app sandboxing, and the latest security features to protect users from malware, browser security holes, and even physical theft. Private keys are stored only in the secure enclave of the user's phone, inaccessible to anyone other than the user.
Simplicity and ease-of-use is the core design principle of HODL GRS. A simple recovery phrase (which we call a Backup Recovery Key) is all that is needed to restore the user's wallet if they ever lose or replace their device. HODL GRS is deterministic, which means the user's balance and transaction history can be recovered just from the backup recovery key.

Features

Download

Main Release (Main Net)
Testnet Release

Source

ALL NEW! – GroestlcoinSeed Savior

Groestlcoin Seed Savior is a tool for recovering BIP39 seed phrases.
This tool is meant to help users with recovering a slightly incorrect Groestlcoin mnemonic phrase (AKA backup or seed). You can enter an existing BIP39 mnemonic and get derived addresses in various formats.
To find out if one of the suggested addresses is the right one, you can click on the suggested address to check the address' transaction history on a block explorer.

Features

Live Version (Not Recommended)

https://www.groestlcoin.org/recovery/

Download

https://github.com/Groestlcoin/mnemonic-recovery/archive/master.zip

Source

ALL NEW! – Vanity Search Vanity Address Generator

NOTE: NVidia GPU or any CPU only. AMD graphics cards will not work with this address generator.
VanitySearch is a command-line Segwit-capable vanity Groestlcoin address generator. Add unique flair when you tell people to send Groestlcoin. Alternatively, VanitySearch can be used to generate random addresses offline.
If you're tired of the random, cryptic addresses generated by regular groestlcoin clients, then VanitySearch is the right choice for you to create a more personalized address.
VanitySearch is a groestlcoin address prefix finder. If you want to generate safe private keys, use the -s option to enter your passphrase which will be used for generating a base key as for BIP38 standard (VanitySearch.exe -s "My PassPhrase" FXPref). You can also use VanitySearch.exe -ps "My PassPhrase" which will add a crypto secure seed to your passphrase.
VanitySearch may not compute a good grid size for your GPU, so try different values using -g option in order to get the best performances. If you want to use GPUs and CPUs together, you may have best performances by keeping one CPU core for handling GPU(s)/CPU exchanges (use -t option to set the number of CPU threads).

Features

Usage

https://github.com/Groestlcoin/VanitySearch#usage

Download

Source

ALL NEW! – Groestlcoin EasyVanity 2020

Groestlcoin EasyVanity 2020 is a windows app built from the ground-up and makes it easier than ever before to create your very own bespoke bech32 address(es) when whilst not connected to the internet.
If you're tired of the random, cryptic bech32 addresses generated by regular Groestlcoin clients, then Groestlcoin EasyVanity2020 is the right choice for you to create a more personalised bech32 address. This 2020 version uses the new VanitySearch to generate not only legacy addresses (F prefix) but also Bech32 addresses (grs1 prefix).

Features

Download

Source

Remastered! – Groestlcoin WPF Desktop Wallet (v2.19.0.18)

Groestlcoin WPF is an alternative full node client with optional lightweight 'thin-client' mode based on WPF. Windows Presentation Foundation (WPF) is one of Microsoft's latest approaches to a GUI framework, used with the .NET framework. Its main advantages over the original Groestlcoin client include support for exporting blockchain.dat and including a lite wallet mode.
This wallet was previously deprecated but has been brought back to life with modern standards.

Features

Remastered Improvements

Download

Source

ALL NEW! – BIP39 Key Tool

Groestlcoin BIP39 Key Tool is a GUI interface for generating Groestlcoin public and private keys. It is a standalone tool which can be used offline.

Features

Download

Windows
Linux :
 pip3 install -r requirements.txt python3 bip39\_gui.py 

Source

ALL NEW! – Electrum Personal Server

Groestlcoin Electrum Personal Server aims to make using Electrum Groestlcoin wallet more secure and more private. It makes it easy to connect your Electrum-GRS wallet to your own full node.
It is an implementation of the Electrum-grs server protocol which fulfils the specific need of using the Electrum-grs wallet backed by a full node, but without the heavyweight server backend, for a single user. It allows the user to benefit from all Groestlcoin Core's resource-saving features like pruning, blocks only and disabled txindex. All Electrum-GRS's feature-richness like hardware wallet integration, multi-signature wallets, offline signing, seed recovery phrases, coin control and so on can still be used, but connected only to the user's own full node.
Full node wallets are important in Groestlcoin because they are a big part of what makes the system be trust-less. No longer do people have to trust a financial institution like a bank or PayPal, they can run software on their own computers. If Groestlcoin is digital gold, then a full node wallet is your own personal goldsmith who checks for you that received payments are genuine.
Full node wallets are also important for privacy. Using Electrum-GRS under default configuration requires it to send (hashes of) all your Groestlcoin addresses to some server. That server can then easily spy on your transactions. Full node wallets like Groestlcoin Electrum Personal Server would download the entire blockchain and scan it for the user's own addresses, and therefore don't reveal to anyone else which Groestlcoin addresses they are interested in.
Groestlcoin Electrum Personal Server can also broadcast transactions through Tor which improves privacy by resisting traffic analysis for broadcasted transactions which can link the IP address of the user to the transaction. If enabled this would happen transparently whenever the user simply clicks "Send" on a transaction in Electrum-grs wallet.
Note: Currently Groestlcoin Electrum Personal Server can only accept one connection at a time.

Features

Download

Windows
Linux / OSX (Instructions)

Source

UPDATED – Android Wallet 7.38.1 - Main Net + Test Net

The app allows you to send and receive Groestlcoin on your device using QR codes and URI links.
When using this app, please back up your wallet and email them to yourself! This will save your wallet in a password protected file. Then your coins can be retrieved even if you lose your phone.

Changes

Download

Main Net
Main Net (FDroid)
Test Net

Source

UPDATED – Groestlcoin Sentinel 3.5.06 (Android)

Groestlcoin Sentinel is a great solution for anyone who wants the convenience and utility of a hot wallet for receiving payments directly into their cold storage (or hardware wallets).
Sentinel accepts XPUB's, YPUB'S, ZPUB's and individual Groestlcoin address. Once added you will be able to view balances, view transactions, and (in the case of XPUB's, YPUB's and ZPUB's) deterministically generate addresses for that wallet.
Groestlcoin Sentinel is a fork of Groestlcoin Samourai Wallet with all spending and transaction building code removed.

Changes

Download

Source

UPDATED – P2Pool Test Net

Changes

Download

Pre-Hosted Testnet P2Pool is available via http://testp2pool.groestlcoin.org:21330/static/

Source

submitted by Yokomoko_Saleen to groestlcoin [link] [comments]

cold storage compatibility issues

Hello, I have been a fan of electrum because of its offline capability. I like that I can use Bitcoin while storing my private keys on a computer that has the wifi card removed and hot glue stuffed in the Ethernet port. However it looks like maybe the electrum developers have over-promised and under-delivered in this regard. Or, maybe they simply do not have the time, energy, resources to make this work in real life.
Let me explain. I have an old-ass computer that is running Ubuntu 12 (precise), this computer has electrum 2.5.4 installed with a cold-storage wallet that has my private key.
I want to send some bitcoin from that address to a new wallet on my desktop so I can spend the bitcoin. So I installed electrum (newest version 3.3.8) on my desktop, imported the bitcoin address, and created a transaction. Then I sent the transaction to the offline computer out of band, and verified that the out-of-band transmission worked by comparing the hash of the txn file on both the offline and online machines. Then I tried to open the txn file on the offline machine with Electrum 2.5.4. Well, guess what, it didn't work. Electrum 2.5.4 printed to the console:
Traceback (most recent call last):
File "/uslocal/lib/python2.7/dist-packages/Electrum-2.5.4-py2.7.egg/electrum_gui/qt/main_window.py", line 2261, in do_process_from_file
self.show_transaction(tx)
File "/uslocal/lib/python2.7/dist-packages/Electrum-2.5.4-py2.7.egg/electrum_gui/qt/main_window.py", line 577, in show_transaction
show_transaction(tx, self, tx_desc)
File "/uslocal/lib/python2.7/dist-packages/Electrum-2.5.4-py2.7.egg/electrum_gui/qt/transaction_dialog.py", line 37, in show_transaction
d = TxDialog(tx, parent, desc, prompt_if_unsaved)
File "/uslocal/lib/python2.7/dist-packages/Electrum-2.5.4-py2.7.egg/electrum_gui/qt/transaction_dialog.py", line 48, in __init__
self.tx.deserialize()
File "/uslocal/lib/python2.7/dist-packages/Electrum-2.5.4-py2.7.egg/electrum/transaction.py", line 523, in deserialize
d = deserialize(self.raw)
File "/uslocal/lib/python2.7/dist-packages/Electrum-2.5.4-py2.7.egg/electrum/transaction.py", line 454, in deserialize
d[inputs] = list(parse_input(vds) for i in xrange(n_vin))
OverflowError: Python int too large to convert to C long
That's pretty frustrating, the first thing I tried was to install Electrum 2.5.4 on my Desktop and try to create a new unsigned transaction with Electrum 2.5.4. However, this is a no-go because old versions of Electrum cannot connect to Electrum servers any more. So I have to try to update the Electrum on the Offline computer. But I'm not even sure if this is possible considering how ubuntu 12 it's definitely out of support at this point and the offline computer does not even have python3 installed, let alone the GTK stuff or whatever is probably required to run Electrum.
I'm starting to regret choosing a GUI-based wallet for my offline storage considering how hard it is to actually use this and how it simply melts over time... even just 5 years is is enough time to completely melt and destroy this software and make it un-usable. Time Catches All. So now I have to go out and buy a new computer that can run the updated OS, so I can install the new version of Electrum, so I can access my bitcoin.
Do you have any other ideas? Has anyone else experienced anything like this?
submitted by throwaway_23f32f to Electrum [link] [comments]

BTC Node. Need help with Ubuntu and BTC core program. To the Linux experts here in reddit.

The good thing of loosing a post, is that you have to retype everything and this means that you are able to shorten the post.
So. TLDR, I have 2 hdd, 80gb and 320, the second one has only, all the Blockchain info, from another already running node. I am not able to tell BTC Core program that the files are already there so he does not need to download 300gb. After hours of Google and linux forums, I am stuck in this issue. Every time I type "bitcoin-qt" on my terminal, it shows as a first download. Any help will be appreciate.

Full story.
English is not my first language, and this is being typed for second time (please have mercy on my grammar or misspelling mistakes), because I posted the question on linux subreddit nobody give a f..... so I decided to bring it here, posted a short post with the link and the automatic bot deleted because the of the link. I erased both the linux and the bitcoin post, and made a third one new, here, with plain text, copy pasting the info from the linux post. Never appeared on the "new" section of this sub. So hours of typing lost, and here we are.
Old Notebook. 80gb drive, and noob to Linux. Although I have some pc and logic knowledge, installed MINT due to a recommendation from a Bitcoin community, but since I have a friend with an already running node, with Ubuntu switched to this one, just to have the same system.
Once Ubuntu installed, on the 80gb and pc running, I copy and pasted the whole bitcoin folder from my friends pc to my 320 gb. Up to here all was good. But here is the problem

My friend, who does not understand nothing about linux, is owner of a company and has an IT guy who made everything for him, but would not be willing to help me a lot, (just to be good with his boss but right now it is not reachable for me), but when we where on my pc he told me that Linux is very sensitive to ports, in other words, a small usb change, will do a program to loose the path for the files. SO, instead of using the 320gb disk on USB i installed on this notebook second Hdd bay (its an old high end laptop with 2 sata connectors), he was able to set the program and everything went well for a couple of hours, Bitcoin Core program started synchronizing, downloading very little info.

I needed to turn of the pc to move it, so closed the program (waited until bitcoin core program told me was safe to) and turn it off, then turn it on again, and the problem was there, bitcoin core program started trying to download the whole blockchain in the spare 2gb of the 320 gb disk.
So what it seemed to happen is that even when the disk is installed on a sata bay from the motherboard, as I did not installed ubunutu with this disk connected it's route (adress?) is dinamyc and that is why BTC Core Program lost the files and does not recognize it.
After hours of google, linux forums and "askubuntu" i was able to, mount the 320gb disk, first editing the fstab ( i followed the guide in "askubuntu.com/questions/125257/how-do-i-add-an-additional-hard-drive") by the way. Trying to use VIM editor was a pain, it is REALLY difficult to type something there, and save it without pressing a wrong key. I had to cancel and start over at least a dozen times (plus reading several guides), but still was not able to mount the disk (Actually after following the steps, the hdd (320) disappeared from the GUI). went back, erased, and the did the NANO steps, and I THINK that now the hard drive it is fixed (before, any change,when restarting the second hdd took some time to appear, now it seems that is mounted and to a fixed adress). Well, after mounting the hdd, I tryed to call the bitcoin-qt and the initial download page appear and again tries to download from the initial block. I searched over hours "file association in ubuntu", "program files path" etc etc and the only thing I found is how to set up the desired software to open a file.

For you to understand my mess, when I did the "user:user" thing, I did not understand completely what I was doing, (yes I had to be in sudo) BUT i think I managed to did the correct thing as both hdd are shown in the Ubuntu GUI.

Some additional data is
Both hard drives are formated in Ext4
I have (I think that) a fstab.bak before any changes

I knwo that linux users sometimes ask for details on the system, just tell me the commands and i can run them to stick any info needed.

Thanks for the help in advance.
submitted by Cabe72000 to Bitcoin [link] [comments]

[IDEA] [PROPOSAL] Monero Debian (deb) packages / Debian package repository deb.getmonero.org (I can do)

I have the skills to implement this if wanted.
Possible User Experience
This is a proposal, i.e. not implemented yet. Instructions for users, simplified.
How to install monero using apt-get
Download the repository signing key.
wget https://www.getmonero.org/monero.asc
Add the signing key.
sudo apt-key --keyring /etc/apt/trusted.gpg.d/monero.gpg add ~/monero.asc
Add APT repository.
echo "deb https://deb.getmonero.org buster main" | sudo tee /etc/apt/sources.list.d/monero.list
Update your package lists.
sudo apt-get update
Install monero.
sudo apt-get install monero
A few technical implementation details
I would simply grab the binaries provided by getmonero.org, download them, check software (gpg) signatures, put these into deb packages, add these to a repository, and upload the repository.
What I would not do is creating the binaries during package creation. While this is nice to have, it doesn't help user experience and blocks the progress on reaching this goal. See next chapter.
Why simply put the pre-build Monero binaries into a deb package?
1) After bitcoin existing for more than 10 years, being popular and being in Debian unstable (sid) it still never made its way into Debian testing, let alone stable. Reason being explained that a difference in underlying libraries (even just security fixes) during compilation may result in a network split. Binaries compiled during packaging on different versions of Linux distributions might have different libraries that might cause a network fork / chain split.
References:
(Note: above website saying Tags: fixed-upstream is probably a mistake as discussion at bottom says.)
2) The github issue of packaging monero stalled.
3) By shipping the same binaries as provided by getmonero.org reduces the chances of introducing a backdoor.
Many Options
Timeline
Doable quickly. The electrum (bitcoin) AppImage was recently added to a Debian package (binaries-freedom) by me and is now easily installable in Whonix. Pre-installed in testers version of Whonix already.
About Me
I am the founder of Whonix, which I am maintaining at present for more than 7 years.
Whonix (formerly TorBOX) is a Debian GNU/Linux–based security-focused Linux distribution. It aims to provide privacy, security and anonymity on the internet.
You can see an overview of packages I am maintaining on my github profile.
To proof that this forum account adrelanos corresponds the same person maintaining whonix.org, it is added here.
Questions
What happened to, what is the successor of the forum funding system?
submitted by adrelanos to Monero [link] [comments]

Step-by-Step Guide to Making A Secure Bitcoin Wallet

I posted this in another thread, and figured it deserved its own post, since I don't think I've ever seen a simple guide like this published before. Enjoy!
1) Download the official bitcoin-qt client. It is the most reliable since it has by far the most developers. If possible, don't run it on Windows, period. Use Mac Or Linux.
2) Encrypt your wallet with a password you can remember, preferably one you don't use on any web site so that if you're hacked and your wallet is stolen, a hacker won't be able to figure out your password. You can encrypt your wallet within the bitcoin-qt program. Also, keep in mind that bitcoin-qt will not ask you for the password when the program starts up. It will only ask for the password when you try to send Bitcoins.
3) Backup your wallet.dat everywhere. Look up on Google to find where this file is. It is different depending on your operating system. Back up to external hard drives, jumpdrives, Gmail, Dropbox, etc. More is better, assuming you're using a good password.
4) Once bitcoin-qt is fully synced with the network, you will see a green check mark in the bottom-right of the program. Now you can send funds to your Bitcoin receive address! As soon as you send them, you will see a notification box pop up from bitcoin-qt telling you that you received funds. Technically, you can transfer the bitcoin even before the blockchain syncs and you get the green checkmark, but you will have to wait much longer to see that your Bitcoin arrived safely. I like to see it immediately, so that's why I wait for the check.
5) You can take your wallet.dat file, and import it into another computer running bitcoin-qt. If it synchronizes with the blockchain and picks up your transactions and correct balance, then you know you did it right! You can even leave your wallet running on two (or more) computers if you want! I keep it on two computers, myself. Remember to make a new backup of your wallet.dat file every couple of months or so just to be safe. If you forget, it's fine. An old backup will work, it's just that only 100 addresses are stored in the wallet file, and if you go over that amount the wallet may add new private keys that you will want in your backups. So back up at least once every 100 transactions, in case these transactions all used unique "change" addresses. If you don't understand how this works, type Bitcoin change address on Google. Just know to back it up every once in awhile and you will be fine.
Good luck! But you won't need it...if you follow this guide your bitcoin will be ridiculously safe. :)
submitted by joseph11h to Bitcoin [link] [comments]

(Updated) [Staking] Reddcoin Core client GUI wallet on a Raspberry Pi Model 3B

Intro

This thread is an update to my first Reddcoin staking tutorial that was written 7 months ago.
 
The reason for the update
My Reddcoin Core software crashed and became unusable. My Raspberry Pi 3B would lag and freeze, I couldn't stake anymore.
 
Instead of just redoing everything the same way, I wanted to see if I could improve on 3 points:
 
The updates
 
If you would like to tip me
Writing a tutorial like this takes time and effort; tips are appreciated. My Reddcoin address: RqvdnNX5MTam855Y2Vudv7yVgtXdcYaQAW.
     

Overview

 

Steps

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
     

Video

https://www.youtube.com/watch?v=Snr5e8bzftI
This video shows how long it takes to start Reddcoin Core.   TL;DR:
     

Extra

Backup
Backup your wallet to prevent losing the RDDs in your wallet! There are two methods to backup, do both. Make new backups if you create a new receiving address!
 
 
   
Boot with only 1 USB drive plugged in:
Make sure only the USB drive (with the swap partition and data partition) is plugged in when you boot up your Raspberry Pi. This to make sure the swap partition (/dev/sda1) is recognized correctly.   If you boot up with multiple USB drives, Lubuntu might see the USB drive with the swap partition as the second drive (instead of the first drive), and ignore the 2 GB swap partition. If this happens, starting Reddcoin can render the Raspberry Pi unresponsive.
   
Connection issues If you have issues syncing the blockchain because you have 0 network connections, please follow the instructions in this thread.
   
Start Reddcoin Core easier
Run a shell script (.sh file), so you can start Reddcoin just by double clicking on an icon on your Desktop.
   
Minimization options
Adjust minimization options, so you can safely press on the X button (the close/exit button on the upper right corner).
   
RealVNC VNC Viewer (client) and VNC Connect (server): To remote connect to the Raspberry Pi, I use VNC Viewer ad VNC Connect from RealVNC.
 
   
Chromium as browser: The updates break Firefox, the browser crashes when you try to run it. Install another browser, Chromium, to solve this issue.
   
Updates / Upgrades
If Software Updater shows up and tells you that there is updated software available, do not install the updates using Software Updater. Use LXTerminal to update Lubuntu.  
     

Credits:

   
Credits in previous tutorial:
submitted by Yavuz_Selim to reddCoin [link] [comments]

[Staking] Reddcoin Core client GUI wallet on a Raspberry Pi Model 3B

This tutorial has been updated: https://www.reddit.com/reddCoin/comments/a0wn1v/updated_staking_reddcoin_core_client_gui_wallet/.
   

Intro

I want to stake Reddcoins on my Raspberry Pi, but there is no easy to install package for the Reddcoin Core client. I found some tutorials (mentioned at the bottom, under 'credits'), but I still struggled to get the result I wanted. It took some small adjustments, but I got the GUI Wallet of Reddcoin Core working on my Raspberry Pi Model 3B. See the steps below. :).
 
If you have any questions or comments, please post a comment in this thread, so others can also benefit from it.
 
If you would like to tip me: RqvdnNX5MTam855Y2Vudv7yVgtXdcYaQAW.
   
Even though Raspbian is the primary OS for the Raspberry Pi, it seems that it's not possible to build and compile the Reddcoin wallet software for Raspbian Stretch. However, I got the wallet compiled using Ubuntu MATE.
     

Overview

     

Steps

 
 
 
 
 
 
 
 
 
 
 
 
 
 
     

Extra

 
 
 
 
     

Credits:

 
Thank you all for sharing your knowledge!
submitted by Yavuz_Selim to reddCoin [link] [comments]

Bitcoin ABC Ubuntu repo has been updated to serve 0.16.0

Bitcoin ABC Ubuntu repo has been updated to provide the latest stable version 0.16.0
This release implement a new HF on Nov 13, see the release notes and ABC HF announcement for more details.
Repo home page:
https://launchpad.net/~bitcoin-abc/+archive/ubuntu/ppa
If you are installing for the first time just execute these commands(*):
sudo apt-get install software-properties-common sudo add-apt-repository ppa:bitcoin-abc/ppa sudo apt-get update sudo apt-get install bitcoind bitcoin-qt 
(*) if you already have a prev version of Bitcoin ABC just run:
sudo apt-get update sudo apt-get upgrade 
 
 
If you are experiencing an error related to libstdc++6 version being not satisfy, look at this abcbtc's comment that contains the fix:
https://np.reddit.com/btc/comments/7a3jtg/bitcoin_abc_ubuntu_repo_has_been_updated_to_serve/dp6w39p/
submitted by s1ckpig to btc [link] [comments]

Dogecoin on Linux - The Complete Beginner's Guide

I'm writing this because I couldn't find a single condensed guide on compiling the wallet and running mining software on linux, specficially Ubuntu/Linux Mint. I combed Bitcoin and Litecoin forums for similar problems I was running into and eventually got everything nailed down, so here it is in one place, for new Shibes.
If you want to make a Dogecoin directory in your downloads folder to keep things organized, you will need to modify these commands to refelct the change. So instead of going to ~/Downloads/ you will need to go to ~/Downloads/Dogecoin and be sure to put the zipped files there when you download them, but the commands will be the same otherwise.
cwayne18 put in the work to make a PPA for the QT client here.
Ubunutu/Mint/Debian users should be able to install the client with the following commands:
sudo add-apt-repository ppa:cwayne18/doge sudo apt-get update && sudo apt-get install dogecoin-qt 
To update using this method, run
sudo apt-get update && sudo apt-get upgrade dogecoin-qt 
Compiling the Wallet Manually
I suggest using the PPA above, but if you want to compile manually, here you go.
1)Download the newest source from here. If you want to check out the Github page, click here
2)Unzip the package with the native client OR, navigate to your downloads and unzip
cd ~/Downloads unzip dogecoin-master.zip 
3)Now it's time to compile. You will need to install the dependencies, just copy and paste the following code. It will be a fairly large download and could take some time. It is always important to update before installing any new software, so we'll do that first and then install the dependencies.
sudo apt-get update sudo apt-get upgrade sudo apt-get install libssl-dev libdb-dev libdb++-dev libqrencode-dev qt4-qmake libqtgui4 libqt4-dev sudo apt-get install libminiupnpc-dev libminiupnpc8 libboost-all-dev build-essential git libboost1.53-all-dev 
4)Once that is done, go to the doge-coin master directory and compile:
cd ~/Downloads/dogecoin-maste sed -i 's/-mgw46-mt-sd-1_53//g' dogecoin-qt.pro qmake USE_UPNP=- USE_QRCODE=0 USE_IPV6=0 make -j3 
After running the qmake command you will likely see some text similar to
Project MESSAGE: Building without UPNP support Project MESSAGE: Building with UPNP supportRemoved plural forms as the target language has less forms. If this sounds wrong, possibly the target language is not set or recognized. 
It's perfectly normal, so don't worry about that.
Your Dogewallet is ready to go! The executable is in ~/Downloads/dogecoin-maste and called dogecoin-qt. Your wallet information is in ~/.dogecoin. You can run the wallet at any time by opening terminal and typing
cd ~/Downloads/dogecoin-maste ./dogecoin-qt 
Future upgrades to dogewallet are easy. Back up your wallet.dat, and simply follow the same directions above, but you'll be unzipping and building the newer version. You will likely need to rename the old dogecoin-master directory in ~/Downloads before unzipping the newest version and building. Also, it is likely that you will not need to install the dependencies again.
Alternate Method For Installing Dogecoin Wallet from Nicebreakfast
After installing the dependencies listed in step 3, open terminal, then navigate to where you want Dogecoin Wallet stored and run:
git clone https://github.com/dogecoin/dogecoin ./autogen.sh ./configure make 
then when the wallet is updated just run
git pull 
from the dogecoin directory.
GPU Mining
GPU mining requires CGminer. My suggestion is to get the executable already built. The creator of cgminer has removed the built file from his website, but I've uploaded it here
sudo apt-get install pkg-config opencl-dev libcurl4-openssl-dev autoconf libtool automake m4 ncurses-dev cd ~/Downloads tar -xvf cgminer-3.7.2-x86_64-built.tar.bz2 
Don't use anything newer than 3.7.2. The newer versions of CGMiner don't support GPU mining.
That's it! You have cgminer ready to go! You will run cgminer with the following syntax
cd ~/Downloads/cgminer-3.7.2-x86_64-built/ ./cgminer --scrypt -o stratum+tcp://SERVERNAME:PORT -u WORKER.ID -p PASS 
A good guide for fine tuning cgminer can be found here; follow the litecoin example.
EDIT
I had trouble getting cgminer running with a single line command, but running it via an executable .sh file works. This is covered in the cgminer setup guide I posted above but I'll put it here too. In the same directory that has the cgminer executable, you need to make a file called cgminer.sh and make it executable. It should contain the follwing:
export GPU_USE_SYNC_OBJECTS=1 export GPU_MAX_ALLOC_PERCENT=100 export DISPLAY=:0 find *.bin -delete sleep 5 ./cgminer 
Then you can call cgminer in terminal by doing ./cgminer.sh You will need a cgminer.conf file containing all your options. All of this is covered in the guide that is linked above.
A quick note about AMD drivers: They used to be a huge PITA to install and get working, but the newest Catalyst drivers are great. There's a GUI installer, everything works out of the box, and there is a lot of documentation. You can download them here: AMD Catalyst 14.6 Beta Linux
CPU Mining
For CPU mining I use minerd because it doesn't require any work to get running, simply download it and get to work. Download the built file for your machine 32-bit or 64-bit, and then unzip it and you're ready to go!
cd ~/Downloads tar -xvf pooler-cpuminer-2.3.2-linux-x86.tar.gz 
The executable is called minerd and it will be in ~/Downloads but you can move it to wherever you like. To run it, pull up terminal and do
cd ~/Downloads minerd --url=stratum+tcp://SERVER:PORT --userpass=USERNAME.WORKERNAME:WORKERPASSWORD 
You're done! Happy mining!
Common Issues
I ran into this and I've seen others with this problem as well. Everything installs fine but there is a shared library file that isn't where it should be. In fact, it isn't there at all.
 libudev.so.1: cannot open shared object file: No such file or directory 
In terminal, do
sudo updatedb locate libudev.so.0.13.0 
And it will probably return a path /lib/x86_64-linux-gnu. Inside that directory there's a library file called libudev.so.0.13.0. You'll need to make a symlink (aka shortcut) that links libudev.so.1 to libudev.so.0.13.0 So, assuming you're working with libudev.so.0.13.0 do this
cd /lib/x86_64-linux-gnu sudo ln -s libudev.so.0.13.0 libudev.so.1 
Now if you do
ln -l 
You should see
libudev.so.1 -> ./libudev.so.0.13.0 
Meaning you've made the symlink. Also, the text for libudev.so.1 will be blue.
submitted by Boozybrain to dogecoin [link] [comments]

Bitcoin ABC Ubuntu repo has been updated to serve 0.16.2

Bitcoin ABC Ubuntu repo has been updated to provide the latest stable version 0.16.2
See the release notes for more details.
Repo home page:
https://launchpad.net/~bitcoin-abc/+archive/ubuntu/ppa
If you are installing for the first time just execute these commands(*):
sudo apt-get install software-properties-common sudo add-apt-repository ppa:bitcoin-abc/ppa sudo apt-get update sudo apt-get install bitcoind bitcoin-qt 
(*) if you already have a prev version of Bitcoin ABC just run:
sudo apt-get update sudo apt-get upgrade 
 
 
If you are experiencing an error related to libstdc++6 version being not satisfied, look at this abcbtc's comment that contains the fix:
 
https://np.reddit.com/btc/comments/7a3jtg/bitcoin_abc_ubuntu_repo_has_been_updated_to_serve/dp6w39p/ i.e.
 
sudo add-apt-repository ppa:ubuntu-toolchain-test -y sudo apt-get update sudo apt-get install libstdc++-7-dev -y 
submitted by s1ckpig to btc [link] [comments]

Bitcoin ABC Ubuntu repo has been updated to serve 0.17.1

Bitcoin ABC Ubuntu repo has been updated to provide the latest stable version 0.17.1
See the release notes for more details.
Repo home page:
https://launchpad.net/~bitcoin-abc/+archive/ubuntu/ppa
If you are installing for the first time just execute these commands(*):
sudo apt-get install software-properties-common sudo add-apt-repository ppa:bitcoin-abc/ppa sudo apt-get update sudo apt-get install bitcoind bitcoin-qt 
(*) if you already have a prev version of Bitcoin ABC just run:
sudo apt-get update sudo apt-get upgrade 
 
 
If you are experiencing an error related to libstdc++6 version being not satisfied, look at this abcbtc's comment that contains the fix:
 
https://np.reddit.com/btc/comments/7a3jtg/bitcoin_abc_ubuntu_repo_has_been_updated_to_serve/dp6w39p/ i.e.
 
sudo add-apt-repository ppa:ubuntu-toolchain-test -y sudo apt-get update sudo apt-get install libstdc++-7-dev -y 
 
If you are using Ubuntu 14.04 (Trusty) you also need to execute these commands before installing the Bitcoin ABC binaries:
sudo add-apt-repository ppa:sickpig/boost sudo apt-get update 
This is needed due the fact ABC bumped min version for libboost to 1.58.00 .
submitted by s1ckpig to btc [link] [comments]

Bitcoin ABC Ubuntu repo has been updated to serve 0.17.2

Bitcoin ABC Ubuntu repo has been updated to provide the latest stable version 0.17.2
See the release notes for more details.
Repo home page:
https://launchpad.net/~bitcoin-abc/+archive/ubuntu/ppa
If you are installing for the first time just execute these commands(*):
sudo apt-get install software-properties-common sudo add-apt-repository ppa:bitcoin-abc/ppa sudo apt-get update sudo apt-get install bitcoind bitcoin-qt 
(*) if you already have a prev version of Bitcoin ABC just run:
sudo apt-get update sudo apt-get upgrade 
 
 
If you are experiencing an error related to libstdc++6 version being not satisfied, look at this abcbtc's comment that contains the fix:
 
https://np.reddit.com/btc/comments/7a3jtg/bitcoin_abc_ubuntu_repo_has_been_updated_to_serve/dp6w39p/ i.e.
 
sudo add-apt-repository ppa:ubuntu-toolchain-test -y sudo apt-get update sudo apt-get install libstdc++-7-dev -y 
 
If you are using Ubuntu 14.04 (Trusty) you also need to execute these commands before installing the Bitcoin ABC binaries:
sudo add-apt-repository ppa:sickpig/boost sudo apt-get update 
This is needed due the fact ABC bumped min version for libboost to 1.58.00 .
submitted by s1ckpig to btc [link] [comments]

Bitcoin ABC Ubuntu repo has been updated to serve 0.17.0

Bitcoin ABC Ubuntu repo has been updated to provide the latest stable version 0.17.0
See the release notes for more details.
Repo home page:
https://launchpad.net/~bitcoin-abc/+archive/ubuntu/ppa
If you are installing for the first time just execute these commands(*):
sudo apt-get install software-properties-common sudo add-apt-repository ppa:bitcoin-abc/ppa sudo apt-get update sudo apt-get install bitcoind bitcoin-qt 
(*) if you already have a prev version of Bitcoin ABC just run:
sudo apt-get update sudo apt-get upgrade 
 
 
If you are experiencing an error related to libstdc++6 version being not satisfied, look at this abcbtc's comment that contains the fix:
 
https://np.reddit.com/btc/comments/7a3jtg/bitcoin_abc_ubuntu_repo_has_been_updated_to_serve/dp6w39p/ i.e.
 
sudo add-apt-repository ppa:ubuntu-toolchain-test -y sudo apt-get update sudo apt-get install libstdc++-7-dev -y 
 
If you are using Ubuntu 14.04 (Trusty) you also need to execute these commands before installing the Bitcoin ABC binaries:
sudo add-apt-repository ppa:sickpig/boost sudo apt-get update 
This is needed due the fact ABC bumped min version for libboost to 1.58.00 .
submitted by s1ckpig to btc [link] [comments]

BU - "Bitcoin Cash" edition - Ubuntu PPA repo Update to ver 1.2.0.0

The Ubuntu PPA repository will serve BUcash version 1.2.0.0 is available at:
https://launchpad.net/~bitcoin-unlimited/+archive/ubuntu/bucash
This release among other things implements the new CashAddr address format.
See the release notes for more details.
To add this repo to your system just execute these commands:
sudo apt-get install software-properties-common sudo add-apt-repository ppa:bitcoin-unlimited/bucash sudo apt-get update sudo apt-get install bitcoind bitcoin-qt 
The repository supports these Ubuntu version:
And these archs:
 
(#) due to spectre/meltdown bug currently arm64 and arm32 builds are disabled by ubuntu launchpad buildfarm
submitted by s1ckpig to btc [link] [comments]

BU Bitcoin Cash edition - New Ubuntu PPA repository

New Ubuntu PPA repositiry is available at:
https://launchpad.net/~bitcoin-unlimited/+archive/ubuntu/bucash
This repo will provide the Bitcoin Cash (BCC) edition of the Bitcoin Unlimited client. The version number is 1.1.0.0. Look at the release notes for more details.
This release implements UAHF/BUIP055 specification ("Bitcoin Cash").
To add this repo to your system just execute these commands:
sudo apt-get install software-properties-common sudo add-apt-repository ppa:bitcoin-unlimited/bucash sudo apt-get update sudo apt-get install bitcoind bitcoin-qt 
The repository supports these Ubuntu version:
And these archs:
submitted by s1ckpig to btc [link] [comments]

Bitcoin ABC Ubuntu repo has been updated to serve 0.17.2

Bitcoin ABC Ubuntu repo has been updated to provide the latest stable version 0.17.2
See the release notes for more details.
Repo home page:
https://launchpad.net/~bitcoin-abc/+archive/ubuntu/ppa
If you are installing for the first time just execute these commands(*):
sudo apt-get install software-properties-common sudo add-apt-repository ppa:bitcoin-abc/ppa sudo apt-get update sudo apt-get install bitcoind bitcoin-qt 
(*) if you already have a prev version of Bitcoin ABC just run:
sudo apt-get update sudo apt-get upgrade 
 
 
If you are experiencing an error related to libstdc++6 version being not satisfied, look at this abcbtc's comment that contains the fix:
 
https://np.reddit.com/btc/comments/7a3jtg/bitcoin_abc_ubuntu_repo_has_been_updated_to_serve/dp6w39p/ i.e.
 
sudo add-apt-repository ppa:ubuntu-toolchain-test -y sudo apt-get update sudo apt-get install libstdc++-7-dev -y 
 
If you are using Ubuntu 14.04 (Trusty) you also need to execute these commands before installing the Bitcoin ABC binaries:
sudo add-apt-repository ppa:sickpig/boost sudo apt-get update 
This is needed due the fact ABC bumped min version for libboost to 1.58.00 .
submitted by s1ckpig to Bitcoincash [link] [comments]

Ubuntu PPA Bitcoin Unlimited repositories updated to ver 1.0.2.0

This version of BU include the fix to the memory exhaustion bug that was used against Bitcoin Unlimited nodes on May 8, 2017. Look at 1.0.2.0 release notes for more details
If you've installed BU via PPA in the past just issue:
sudo apt-get update sudo apt-get upgrade 
(use dist-upgrade if apt says that bitcoind and bitocoin-qt have been kept back)
If you are installing for the first time just execute these commands:
sudo apt-get install software-properties-common sudo add-apt-repository ppa:bitcoin-unlimited/bu-ppa sudo apt-get update sudo apt-get install bitcoind bitcoin-qt 
The repository supports these Ubuntu version:
And these archs:
submitted by s1ckpig to btc [link] [comments]

BU - "Bitcoin Cash" edition - Ubuntu PPA repo Update to ver 1.1.2.0

The Ubuntu PPA repository will serve BUcash version 1.1.2.0 is available at:
https://launchpad.net/~bitcoin-unlimited/+archive/ubuntu/bucash
This release implements the new Difficulty Adjustment Algorithm (DAA) and it is compatible with the upcoming November 13th Hard Fork.
See the release notes for more details.
To add this repo to your system just execute these commands:
sudo apt-get install software-properties-common sudo add-apt-repository ppa:bitcoin-unlimited/bucash sudo apt-get update sudo apt-get install bitcoind bitcoin-qt 
The repository supports these Ubuntu version:
And these archs:
submitted by s1ckpig to btc [link] [comments]

Frustrated

... no more.
Hello everyone,
I retried installing the wallet client and have taken screenshots, so to document my problems and get help.
Well, now it is working just fine on Linux Ubuntu... way easier setup than Lisk or Monero....
Analysis: I have deleted the corrupted pivx folder and wallet. I rebooted the system. Went to pivx.org/wallet. Downloaded the 3.0.5-x86_64-linux-gnu.tar.gz . Unpacked it with engrampa. Ran pivx-qt through right klick and execute/run and the wallet opened. Currently synching the network. Now I will go and buy those 500 PIVX back.
And I honestly do not know, why that did not work yesterday.
Thanks to everyone who offered help!!! and shame on me for posting in such an overreactive way.
I will leave the thread and the original post below, so things stay transparent for redditors or the mods agree to deleting it.
As a thank you for offering so much support, I made a short how-to on medium, actually my first article there :)
https://medium.com/@clausfroehlich/installing-a-pivx-wallet-on-ubuntu-linux-a45d2491e3a8
Best regards Melchior
Hi Pivx supporters and developers, I am a biologist and have been watching the cryptospace since 2012. Since 2014 I have been in bitcoin and since this year also in ALTs. Although lacking deeper knowledge concerning hard- and software I have been able to switch from Windows to Linux Ubuntu without major problems, setting up wallets for bitcoin, eth, xmr and ark. Of course this is due to those projects either offering sufficient tutorials or supporters presenting ELI5-like tutorials on YouTube, steemit, medium, etc. Tonight I wanted to setup a pivx wallet, transfer funds and stake, however, I did not even succeed in the first step. I tried searching around the web, no good guidance available. Actually, I got so frustrated, I just sold my pivx and rather invest and stake somewhere else... of course I could ask friends to help me, you say. But that is not my point, my point is usability to get wider adoption. That is not the case with pivx right now. I will lurk around however and come back in case you develop this to be a currency for non-tec users as well. Best regards to all of you.
submitted by Melchior14 to pivx [link] [comments]

BU - "Bitcoin Cash" edition - Ubuntu PPA repo Update to ver 1.1.1.1

The Ubuntu PPA repository will serve BUcash version 1.1.1.1 is available at:
https://launchpad.net/~bitcoin-unlimited/+archive/ubuntu/bucash
This release implements UAHF/BUIP055 specification ("Bitcoin Cash").
See the release notes for more details
To add this repo to your system just execute these commands:
sudo apt-get install software-properties-common sudo add-apt-repository ppa:bitcoin-unlimited/bucash sudo apt-get update sudo apt-get install bitcoind bitcoin-qt 
The repository supports these Ubuntu version:
And these archs:
submitted by s1ckpig to btc [link] [comments]

Ubuntu PPA Bitcoin Unlimited repositories updated to ver 1.0.1.3

This version of BU include the fix to the remote crash exploit that was used today against Bitcoin Unlimited nodes.
If you've installed BU via PPA in the past just issue:
sudo apt-get update sudo apt-get upgrade 
(use dist-upgrade if apt says that bitcoind and bitocoinqt have been kept back)
If you are installing for the first time just execute these commands:
sudo apt-get install software-properties-common sudo add-apt-repository ppa:bitcoin-unlimited/bu-ppa sudo apt-get update sudo apt-get install bitcoind bitcoin-qt 
The repo supports these Ubuntu version:
And these archs:
submitted by s1ckpig to btc [link] [comments]

How to Install Bitcoin Core Wallet on Ubuntu 16 How to install Bitcoin Armory in Ubuntu 14.04 How To Install Bitcoin Core And Multibit Wallet On Ubuntu 14.10 How To Install BitCoin On Ubuntu 16.04 Linux QT Wallet installation Featuring VERGE

To change from 'natty' to 'maverick' for a PPA you can do this from the Ubuntu software center: Click the bitcoin PPA and choose edit. Next it changing 'Natty' to 'Maverick': Reload the sources (it will prompt for it) and you should be able to install maverick's version of 'bitcoin'. share improve this answer follow edited Jun 12 at 14:37. Community ♦ 1. answered May 7 '11 at 14:54 ... How to install bitcoin mining software in Ubuntu 14.04 for joining a mining pool? Ask Question Asked 6 years, 4 months ago. Active 2 years, 1 month ago. Viewed 116k times 13. 7. I just installed bitcoin-qt wallet on Ubuntu 14.04 and have synced with the bitcoin network. How do I install a mining program that will enable me to join a mining pool? bitcoin. share improve this question follow ... 1. Install Bitcoin-Qt Since version 0.9, Bitcoin-Qt was renamed to Bitcoin Core t o reduce confusion between Bitcoin-the-network and Bitcoin-the-software. Bitcoin Core is a full Bitcoin client. It is a thick client, meaning it requires the full blockchain (explained below) on local disk to operate and expose blockchain back to the network to help relay and verify transactions. Enable snaps on Ubuntu and install bitcoin-core. Snaps are applications packaged with all their dependencies to run on all popular Linux distributions from a single build. They update automatically and roll back gracefully. Snaps are discoverable and installable from the Snap Store, an app store with an audience of millions. In this article, I will talk about what Bitcoin is, what a Bitcoin wallet is, how to install Bitcoin core on Ubuntu and how to use it. Let’s get started. About Bitcoin. Bitcoin is a crypto-currency. You can also call it a virtual currency as well. It was created by Satoshi Nakamoto. The advantage of bitcoin is that you don’t need to rely on ...

[index] [28649] [50704] [46881] [38356] [33771] [14560] [23202] [2227] [30890] [26907]

How to Install Bitcoin Core Wallet on Ubuntu 16

To add the PPA and install Bitcoin open a terminal window (press Ctrl+Alt+T) and copy+paste the following lines: sudo apt-add-repository ppa:bitcoin/bitcoin -y sudo apt update && sudo apt install ... How to install the QT Wallet ... How to install Bitcoin on Ubuntu 16.04 - Duration: 2:50. MT Software 280 views. 2:50. Setting Up Bitcoin Fullnode on Raspberry Pi 2 - Bitcoin Core 0.12 - Duration ... If you're new to Ubuntu and Linux, here's a beginner's guide to installing the newest version of the Armory wallet software along with the newest version of the underlying Bitcoin Core daemon. For ... This video covers the method to install BitCoins on Ubuntu 16.04 Bitcoin is a virtual and crypto-currency created by Satoshi Nakamoto. For more explanation o... How to install Bitcoin on Ubuntu 16.04 On this video, I will show you how to install Bitcoin on Ubuntu 16.04 Commands sudo apt-add-repository ppa:bitcoin/bi...

#